Main Page Modules Class Hierarchy Alphabetical List Compound List File List Compound Members

# SoLabel Class Reference
[Nodes]

The SoLabel class is a node for holding label information in a scene graph. More...

`#include <Inventor/nodes/SoLabel.h>`

Inheritance diagram for SoLabel:

List of all members.

## Public Methods
| SoLabel (void)
## Static Public Methods
void | initClass (void)
## Public Attributes
SoSFName | label
## Protected Methods
virtual | ~SoLabel ()

## Detailed Description

The SoLabel class is a node for holding label information in a scene graph.

Use this node as a convenient way of labeling nodes or subgraphs within a scene graph.

SoLabel nodes does not influence traversal in any way for any of the builtin actions.

## Constructor & Destructor Documentation

SoLabel::SoLabel | ( | void |  | ) |

| Constructor.

SoLabel::~SoLabel | ( |  | ) | `[protected, virtual]`

| Destructor.

## Member Function Documentation

void SoLabel::initClass | ( | void |  | ) | `[static]`

| Sets up initialization for data common to all instances of this class, like submitting necessary information to the Coin type system. Reimplemented from SoNode.

## Member Data Documentation

SoSFName SoLabel::label

| Label text.

The documentation for this class was generated from the following files:

- SoLabel.h
- SoLabel.cpp